import { AfterContentInit, ElementRef, OnDestroy, Renderer2 } from '@angular/core';
import { NgModel } from '@angular/forms';
declare type InputType = 'text' | 'number';
export declare class AdvanceInputDirective implements AfterContentInit, OnDestroy {
    model: NgModel;
    private elementRef;
    private renderer;
    private incrementElement;
    private decrementElement;
    constructor(model: NgModel, elementRef: ElementRef<HTMLInputElement>, renderer: Renderer2);
    set type(type: InputType);
    set prefix(prefix: string);
    set suffix(suffix: string);
    set controls(controls: boolean);
    minValue: number;
    set min(min: number);
    get min(): number;
    maxValue: number;
    set max(max: number);
    get max(): number;
    private ngDestroy$;
    private typeValue;
    private element;
    private prefixValue;
    private suffixValue;
    private controlsValue;
    private value;
    cursorPosition: number;
    updateValue(value?: string | number): any;
    forceCursor($event: any): void;
    evalValue($event: KeyboardEvent): void;
    onKeyDown($event: KeyboardEvent): void;
    initializeControls(): void;
    ngAfterContentInit(): void;
    ngOnDestroy(): void;
}
export {};
